package be.iminds.ilabt.jfed;

import be.iminds.ilabt.jfed.lowlevel.connection.*;
import com.google.inject.AbstractModule;

import javax.inject.Singleton;

/**
 * CoreModule
 */
public class PreLoginCoreModule extends AbstractModule {
    @Override
    protected void configure() {
//        bind(JFedTrustStore.class).in(Singleton.class);
        bind(JFedConnectionProvider.class).to(SfaConnectionPool.class).in(Singleton.class);
        bind(ConnectionBuilderFactory.class).to(BasicConnectionBuilderFactory.class).in(Singleton.class);
    }
}
